<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Список смайлов';
include_once 'sys/inc/thead.php';
title();
err();
aut();
if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#info\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));

if (is_file(H.'sys/add/smiles.txt'))
{
$f=file(H.'sys/add/smiles.txt');

$k_page=k_page(count($f),$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*($page-1);
$end=$set['p_str']*$page;

echo "<table class='post'>\n";

for ($i=$start;$i<$end && $i<count($f);$i++)
{
echo "<tr>\n";
$smile=explode(' ', $f[$i]);
echo "<td>\n";

echo smiles(stripcslashes(htmlspecialchars($smile[0])));
echo "</td>\n";
echo "<td>\n";

echo stripcslashes(htmlspecialchars($f[$i]));

echo "</td>\n";
echo "</tr>\n";
}


echo "</table>\n";



if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
}

if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
{
echo "<div class=\"foot\">\n";
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";
echo "</div>\n";
}

include_once 'sys/inc/tfoot.php';
?>